{% extends "ajax/game/town/town.html.twig" %}
{% block title %}{{'Die Bürger'|trans({}, 'game')}}{% endblock %}
{% block content %}
    {# @var citizen \App\Entity\Citizen #}
    {% set hour = "now"|date("G") %}
    <div class="row">
        <div class="cell rw-12 town-banner town-banner-houses time-{{ hour }} {% if town.isNight %}night{% endif %}"></div>
    </div>
    <ul class="tabs plain">
        <li class="tab selected">
            <div class="tab-link" x-ajax-sticky x-ajax-href="{{ path('town_citizens') }}">{% trans from 'game' %}Bürger{% endtrans %}</div>
        </li>

        {% if not town.chaos %}
            {% for name,role in votesNeeded %}
                {% if role %}
                <li class="tab">
                    <div class="tab-link" x-ajax-sticky x-ajax-href="{{ path('town_citizen_vote', {roleId: role.id}) }}"><img alt="" src="{{ asset('build/images/item/item_bureau.gif') }}" /> {{ role.label|trans({}, 'game') }}</div>
                </li>
                {% endif %}
            {% endfor %}
        {% endif %}

        {% if has_omniscience %}
        <li class="tab">
            <div class="tab-link" x-ajax-sticky x-ajax-href="{{ path('town_citizens_omniscience') }}"> <img src="{{ asset('build/images/icons/small_view.gif') }}" alt="" />{{'Allwissenheit'|trans({}, 'game')}}</div>
        </li>
        {% endif %}
    </ul>
    {% if is_ghoul %}
        {% if caught_chance < 0.5 %}{% set chances = 'gering'|trans({}, 'game') %}{% else %}{% set chances = 'hoch'|trans({}, 'game') %}{% endif %}
    <div class="note warning">
        <strong><img src="{{ asset('build/images/status/status_ghoul.gif') }}" alt="" />{{'Die Chance, beim Verschlingen eines Bürgers entdeckt zu werden, ist %chances%...'|trans({'%chances%': chances}, 'game')}}</strong><br />
        {{'Das Risiko basiert auf der Anzahl der Bürger in der Aussenwelt. Je mehr Bürger sich außerhalb der Stadt aufhalten, desto geringer sind die Chancen, entdeckt zu werden.'|trans({}, 'game')}}
    </div>
    {% endif %}
    <div class="row-table citizens-list">
        <div class="row header">
            <div class="padded cell rw-5 left rw-md-7">{{ 'Bürger'|trans({},'game') }}</div>
            <div class="padded cell rw-4 hide-md hide-sm center">{{ 'Nachricht'|trans({},'game') }}</div>
            <div class="padded cell rw-3 rw-md-5 right">{{ 'Draußen?'|trans({},'game') }}</div>
        </div>
        {% for citizenInfo in citizens|sort((a,b) => (a.citizen.alive == b.citizen.alive) ? ((a.citizen.alive) ? a.citizen.user.name|lower <=> b.citizen.user.name|lower : b.citizen.survivedDays <=> a.citizen.survivedDays) : b.citizen.alive <=> a.citizen.alive) %}
            {% set citizen = citizenInfo.citizen %}
            {# @var \App\Entity\Citizen citizen  #}
            <div class="row-flex stretch pointer{% if citizen == me%} me{% endif %}" style="max-height: 100px;">
                <div class="cell factor-0 avatar ua-{{ random(0,9) }}" style="flex-basis: 90px; background: url('{{ citizen.user.avatar ? path('app_web_avatar', {'uid': citizen.user.id, 'name': citizen.user.avatar.smallName, 'ext': citizen.user.avatar.format}) : asset('build/images/forum/empty_avatar.gif') }}') center/cover no-repeat;" x-ajax-href="{{ path('town_visit', {id: citizen.id}) }}">&nbsp;</div>
                <div class="cell factor-0 citizen-{{ citizen.alive ? (citizen.online ? 'online' : 'offline') : 'dead' }}" style="flex-basis: 8px;" x-ajax-href="{{ path('town_visit', {id: citizen.id}) }}">&nbsp;</div>
                
                <div class="padded cell rw-4 factor-1 small content-center-vertical citizen-box {% if citizen == me%} citizen-box-name-me {% else %} citizen-box-name {% endif %}">
                    <div>
                        <div>
                            {% if citizen.alive %}
                                {% if citizen.banished %}
                                    <img alt="" src="{{ asset('build/images/icons/banished.gif') }}" />
                                {% elseif citizen.profession.heroic %}
                                    <img alt="" src="{{ asset('build/images/professions/hero.gif') }}" />
                                {% else %}
                                    <img alt="" src="{{ asset('build/images/professions/void.gif') }}" />
                                {% endif %}
                                <img alt="{{ citizen.profession.label|trans({},'game') }}" src="{{ asset('build/images/professions/' ~ citizen.profession.icon ~ '.gif') }}" />
                            {% else %}
                                {% if citizen.home.holdsBody %}
                                    <div class="inline-block">
                                    <img alt="{{ 'Leiche nicht beseitigt!'|trans({},'game') }}" src="{{ asset('build/images/icons/small_warning.gif') }}" />
                                        <div class="tooltip normal"><span class="warning">{{'Der Leichnam von %citizen% wurde nicht zerstört.'|trans({'%citizen%': citizen.user.name}, 'game')}}</span> {{'Es ist gut möglich, dass er diese Nacht aufersteht und versuchen wird, uns anzugreifen.'|trans({}, 'game')}}</div>
                                    </div>
                                {% else %}
                                    <img alt="" src="{{ asset('build/images/professions/void.gif') }}" />
                                {% endif %}
                                    <img alt="{{ 'Tot!'|trans({},'game') }}" src="{{ asset('build/images/professions/death.gif') }}" />
                                {% if citizen.hasEaten %}
                                    <div class="inline-block">
                                        <img alt="" src="{{ asset('build/images/professions/cannib.gif') }}" />
                                        <div class="tooltip normal">
                                            {{'%citizen% hat einen Teil seines Heißhungers gestillt, indem er Teile seiner Mitbürger gegessen hat. Um sicherzustellen, dass so etwas nicht noch einmal passiert, übergieße die Verstorbenen das nächste Mal mit Wasser...'|trans({'%citizen%':citizen.user.name}, 'game')}}
                                        </div>
                                    </div>
                                {% endif %}
                            {% endif %}
                            <a class="link username" href="{{ path('soul_visit', {id: citizen.user.id}) }}"><b class="citizen-name">{{ citizen.user.name }}</b></a>
                            {% if citizen.alive %}
                                {% for role in citizen.roles %}
                                    {% if not role.secret and not role.hidden %}
                                    <span>
                                        <img alt="" src="{{ asset('build/images/roles/' ~ role.icon ~ '.gif') }}" />
                                        <div class="tooltip">{{'Diese Bürger is der %role% der Stadt'|trans({'%role%': role.label|trans({}, 'game')}, 'game')}}</div>
                                    </span>
                                    {% endif %}
                                {% endfor %}
                            {% endif %}
                        </div>
                        <div class="hide-desktop small-citizen-defense">
                            {% if citizen.alive %}
                                <img alt="{{ citizen.home.prototype.level }}" src="{{ asset('build/images/home/' ~ citizen.home.prototype.icon ~ '.gif') }}" />
                                <span class="citizen-defense">{% if citizenInfo.defense > 0 %} {{ citizenInfo.defense }} pts {% else %} -- {% endif %}</span>
                            {% endif %}
                        </div>
                    </div>
                </div>
                {% if citizen.alive %}
                    <div class="padded cell rw-8 hide-md factor-2 small citizen-box" x-ajax-href="{{ path('town_visit', {id: citizen.id}) }}">
                        {{ citizen.home.description }}
                        <div class="tooltip normal">
                            {% if not hidden[citizen.id] %}
                                {% if citizen.home.chest.items|length == 0 %}
                                    <em>{{ 'Leere Truhe'|trans({},'game') }}</em>
                                {% else %}
                                    <em>{{ 'Truhe'|trans({},'game') }}</em><br />
                                {% endif %}
                                {% for item in citizen.home.chest.items %}
                                    {# @var \App\Entity\Item item #}
                                    {% if (citizen == me or not item.prototype.hideInForeignChest) %}
                                        <img alt="{{ item.prototype.label|trans({},'items') }}" src="{{ asset('build/images/item/item_' ~ item.prototype.icon ~ '.gif') }}" />
                                    {% endif %}
                                {% endfor %}
                            {% else %}
                                <em>{{ 'Der Inhalt dieses Hauses wird durch Vorhänge an den Fenstern verdeckt...'|trans({},'game') }}</em>
                            {% endif %}
                        </div>
                    </div>
                    <div class="padded cell factor-0 citizen-box hide-lg hide-md hide-sm" x-ajax-href="{{ path('town_visit', {id: citizen.id}) }}" style="flex-basis: 80px">
                        <img alt="{{ citizen.home.prototype.level }}" src="{{ asset('build/images/home/' ~ citizen.home.prototype.icon ~ '.gif') }}" />
                        <span class="citizen-defense">{% if citizenInfo.defense > 0 %} {{ citizenInfo.defense }} pts {% else %} -- {% endif %}</span>
                    </div>
                    <div class="padded cell factor-0 small right citizen-box" x-ajax-href="{{ path('town_visit', {id: citizen.id}) }}" style="flex-basis: 80px;">
                    {% if not citizen.zone %}
                        {{ "In der Stadt"|trans({},'game') }}
                    {% else %}
                        {% if town.chaos %}
                            {{ "Ja"|trans({},'game') }}
                        {% else %}
                            {% if (citizen.zone.x == 0) and (citizen.zone.y == 0) %}
                                {{ "Am Stadttor"|trans({},'game') }}
                            {% else %}
                                [{{ citizen.zone.x }},{{ citizen.zone.y }}]
                            {% endif %}
                        {% endif %}
                    {% endif %}
                    </div>
                {% else %}
                    <div class="padded cell rw-8 hide-md factor-2 small citizen-box" x-ajax-href="{{ path('town_visit', {id: citizen.id}) }}">
                        {% if citizen.home.chest.items|length == 0 %}
                            <em>{{ 'Leere Truhe'|trans({},'game') }}</em>
                        {% endif %}
                        {% for item in citizen.home.chest.items %}
                            {# @var \App\Entity\Item item #}
                            <img alt="{{ item.prototype.label|trans({},'items') }}" src="{{ asset('build/images/item/item_' ~ item.prototype.icon ~ '.gif') }}" />
                        {% endfor %}
                        <div class="tooltip normal">
                            <strong class="warning">{{'Todesursache'|trans({}, 'game')}}</strong> : {{ citizen.causeOfDeath.label|trans({}, "game") }}
                        </div>
                    </div>
                    <div class="padded cell factor-0 small citizen-box hide-lg hide-md hide-sm" x-ajax-href="{{ path('town_visit', {id: citizen.id}) }}" style="flex-basis: 160px;">
                        {% if citizen.lastWords is null %}
                            <span>--</span>
                        {% elseif citizen.lastWords is empty %}
                            <span>{{ 'Dieser Bürger hat keine letzten Worte hinterlassen ...'|trans({}, 'game') }}</span>
                        {% else %}
                            <b>{{"Letzte Worte:"|trans({}, 'game')}}</b> {{ citizen.lastWords }}
                        {% endif %}
                    </div>
                    <div class="padded cell factor-0 small citizen-box hide-desktop" x-ajax-href="{{ path('town_visit', {id: citizen.id}) }}" style="flex-basis: 80px;">
                        {% if citizen.lastWords is null %}
                            <span>--</span>
                        {% elseif citizen.lastWords is empty %}
                            <span>{{ 'Dieser Bürger hat keine letzten Worte hinterlassen ...'|trans({}, 'game') }}</span>
                        {% else %}
                            <b>{{"Letzte Worte:"|trans({}, 'game')}}</b> {{ citizen.lastWords }}
                        {% endif %}
                    </div>
                {% endif %}
            </div>
        {% endfor %}
    </div>

    <div class="row">
        
    </div>

    <div class="row prof-list">
        {% for elem in prof_count %}
            <div class="padded cell small center rw-4">
                <img alt="{{ elem[1].label|trans({},'game') }}" src="{{ asset('build/images/professions/' ~ elem[1].icon ~ '.gif') }}" />
                {{ elem[1].label|trans({},'game') }} x {{ elem[0] }}
            </div>
        {% endfor %}
        {% if death_count > 0 %}
            <div class="padded cell small center rw-4">
                <img alt="{{ 'Tot'|trans({},'game') }}" src="{{ asset('build/images/professions/death.gif') }}" />
                {{ 'Tot'|trans({},'game') }} x {{ death_count }}
            </div>
        {% endif %}
    </div>
    <div class="row prof-list">
        <div class="padded cell small center ro-4 rw-4 rw-md-4">
            <img alt="" src="{{ asset('build/images/icons/small_human.gif') }}" /> {{ "@citizens Bürger"|trans({ '@citizens': citizens|length - death_count }, 'game') }} {% if death_count > 0 %}(+ {{ death_count }} {{ 'Tot'|trans({},'game') }}){% endif %}
        </div>
    </div>

{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
    </script>
{% endblock %}
